Subject: Re: bug#37563: 27.0.50; fit-frame-to-buffer does not account for line-spacing

From: Ingo Lohmar <[email-masked]>
Date: Thu, 03 Oct 2019 20:21:00 +0200

On Thu, Oct 03 2019 20:10 (+0200), martin rudalics wrote:

>  > 4) *My interpretation* of `frame-resize-pixelwise' is that the default
>  > value, nil, has a single intention: To make the frame height an exact
>  > multiple of lines (and char width), mainly because of aesthetic reasons.
>  > In that case, I suggest we change the doc-string (which has some
>  > inaccurate phrasing and is a bit wordy, anyway) to say that it nil will
>  > round to a multiple of the default line height (incl line spacing)..
>
> We cannot reliably do that.  Suppose a frame has two windows with
> different line heights.  Which one would we choose for rounding the
> frame size?  'frame-char-height' is canonical.
>
> martin

Okay, then I truly don't know how to write that succinctly.  I suggest
to keep using the char-height (and the `frame-resize-pixelwise'
docstring) for the time being, that is, not change the code in the last
part of the function.

Personally, I will simple set `frame-resize-pixelwise' to t.